Get a customer
GET
/customers/{id}Costs 1 rate-limit point · Rate limits
Retrieve a customer by ID, including their addresses.
Path parameters
idintegerRequired
Returns
The customer object.
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
404
Resource not found.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
GET/customers/{id}
curl "https://app.invoicefalcon.com/api/v1/external/customers/{id}" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY"const res = await fetch("https://app.invoicefalcon.com/api/v1/external/customers/{id}", {
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
},
});
const data = await res.json();import os
import requests
res = requests.get(
"https://app.invoicefalcon.com/api/v1/external/customers/{id}",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/customers/{id}")
req = Net::HTTP::Get.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"])
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"customer": {
"id": 9177,
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tax_number": "US-12-3456789",
"eori_number": null,
"tags": "wholesale, newsletter",
"shopify_customer_id": 7001234567,
"created_at": "2025-09-21T16:45:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"addresses": [
{
"id": 5521,
"first_name": "Jane",
"last_name": "Doe",
"company": "Doe Studio",
"address1": "12 Example Street",
"address2": "Suite 4",
"city": "Springfield",
"province": "Illinois",
"country": "United States",
"zip": "62701",
"phone": "+1 555 010 0199",
"address_type": "billing"
}
]
}
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "Not found"
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}